/*
When no-js (before index.js running), css needs to be included in index.html 
*/

html, body { width: 100%; height: 100%; margin: 0; padding: 0; }

.no-js body > *:not(.checking),
.ie body > *:not(.checking),
.no-features body > *:not(.checking) { display: none; }

.checking {
  display: none;
  position: relative;
  width: 100%;
  height: 100%;
  background: #ae00f3;
}

.no-js .checking,
.ie .checking,
.no-features .checking { display: block; }

.checking-msgs {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  width: 90%;
  height: 100%;
  margin-left: auto;
  margin-right: auto;
}

.checking-msg {
  display: none;
  font-family: 'Open Sans', Verdana, sans-serif;
  font-size: 1.25rem;
  text-align: center;
  color: white;
}

.no-js .checking-msg.js,
.ie .checking-msg.ie,
.no-features .checking-msg.features { display: block; }